<table class="table table-striped">
    <thead>
        <th>id</th>
        <th>name</th>
        <th>description</th>
        <th>create by</th>
        <th>creation date</th>
        <th>Update By</th>
        <th>Update date</th>
        <th>Available stocks</th>
    </thead>
    <tbody>
        <ng-container *ngIf="products">
            <ng-container *ngFor="let product of products">
                <tr>
                    <td>{{product.id}}</td>
                    <td>{{product.name}}</td>
                    <td>{{product.description}}</td>
                    <td>{{product.createdBy}}</td>
                    <td>{{product.createdAt | date:'dd/MM/yyyy HH:mm:ss'}}</td>
                    <td>{{product.updatedBy}}</td>
                    <td>{{product.updatedAt | date:'dd/MM/yyyy HH:mm:ss'}}</td>
                    <td>
                        <ul>
                            <li *ngFor="let stock of product.stocks">{{stock.agency + ' [' + stock.quantity + ']'}}</li>
                        </ul>
                    </td>
                </tr>
            </ng-container>
        </ng-container>
        <tr *ngIf="products.length == 0">
            <td colspan="7">No order</td>
        </tr>
    </tbody>
</table>